#include <bits/stdc++.h>
using namespace std;
int a, b, L, tr;
int main() {
    cin>>a>>b>>L;
    for(int k=a+b; k<=L; k++){
        for(int x=1; x<L; x++){
            if((k-a*x)%b==0 && (k-a*x)/b>0){
                tr++;
            }
        }
    }
    cout<<L-tr<<endl;
	return 0;
}